Package java.lang

## Class RuntimePermission

- java.lang.Object
- - java.security.Permission
  - - java.security.BasicPermission
    - - java.lang.RuntimePermission

- All Implemented Interfaces:
    `Serializable`, `Guard`

      public final class RuntimePermission
      extends BasicPermission

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `RuntimePermission​(String name)` | Creates a new RuntimePermission with the specified name.
    `RuntimePermission​(String name, String actions)` | Creates a new RuntimePermission object with the specified name.

  - ### Method Summary

    - ### Methods inherited from class java.security.BasicPermission

      `equals, getActions, hashCode, implies`

    - ### Methods inherited from class java.security.Permission

      `getName, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RuntimePermission

          public RuntimePermission​(String name)

      Creates a new RuntimePermission with the specified name. The name is the symbolic name of the RuntimePermission, such as "exit", "setFactory", etc. An asterisk may appear at the end of the name, following a ".", or by itself, to signify a wildcard match.
      Parameters:
        `name` - the name of the RuntimePermission.
      Throws:
        `NullPointerException` - if `name` is `null`.
        `IllegalArgumentException` - if `name` is empty.

    - #### RuntimePermission

          public RuntimePermission​(String name,
                                   @Nullable
                                   String actions)

      Creates a new RuntimePermission object with the specified name. The name is the symbolic name of the RuntimePermission, and the actions String is currently unused and should be null.
      Parameters:
        `name` - the name of the RuntimePermission.
        `actions` - should be null.
      Throws:
        `NullPointerException` - if `name` is `null`.
        `IllegalArgumentException` - if `name` is empty.